tbb::flow::interface9::gfx_factory Class Reference

## Classes

struct | device_type
class | dummy_device_selector

## Public Types

template<typename T >
using | async_msg_type = gfx_async_msg< T >
typedef func_wrapper | kernel_type
typedef gfx_offload::task_id_type | kernel_id_type

## Public Member Functions

| gfx_factory (tbb::flow::graph &g)
template<typename... Args>
void | send_data (device_type, Args &...args)
template<typename... Args>
void | send_kernel (device_type, const kernel_type &kernel, Args &...args)
template<typename FinalizeFn , typename... Args>
void | finalize (device_type, FinalizeFn fn, Args &...)

The documentation for this class was generated from the following file:

- gfx_factory.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.